.btn {
    fill: white;
    color: white;
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(56);
    font-weight: 600;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(8) rem(30);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: rem(4);
    transition: .2s;

    &:hover {
        fill: white;
        color: white;
        text-decoration: none;
        transition: .2s;
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(30);
    }

    span + i {
        margin-left: rem(10);
    }

    i + span {
        margin-left: rem(10);
    }

    @include media-breakpoint-up(xl) {
        height: rem(68);
        font-size: rem(20);
    }
}

.btn-violet {
    background: var(--main);
    border-radius: rem(12);
    box-shadow: var(--shadow-6);

    &:hover {
        background: #6D079E;
    }

    &:active {
        background: var(--main);
    }

    &:disabled,
    &.disabled {
        opacity: 0.5;
        cursor: default;
    }
}

.btn-border {
    border-radius: 6px;
    border: 2px solid #800EB7;
    background: rgba(129, 14, 184, 0.20);

    &:hover {
        background: rgba(129, 14, 184, 0.40);
    }

    &:active {
        background: rgba(129, 14, 184, 0.40);
    }

    &:disabled,
    &.disabled {
        opacity: 0.5;
        cursor: default;
    }
}

.btn-sm {
    height: rem(44);
    font-size: rem(14);
    padding: rem(8) rem(22);
    border-radius: rem(6);

    @include media-breakpoint-up(xl) {
        height: rem(60);
        font-size: rem(20);
        line-height: rem(24);
    }
}

.btn-xs {
    height: rem(36);
    font-size: rem(12);
    line-height: rem(16);
    border-radius: rem(4);
    padding: rem(8) rem(16);

    @include media-breakpoint-up(xl) {
        height: rem(56);
        font-size: rem(18);
        line-height: rem(22);
        padding: rem(8) rem(40);
    }
}

.btn-social {
    font-weight: 600;
    border-radius: rem(6);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}
